Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in hylafax+
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in hylafax+
ID: openSUSE-SU-2018:2797-2
Distribution: SUSE
Plattformen: SUSE openSUSE Backports SLE-15
Datum: So, 23. September 2018, 00:37
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17141
Applikationen: HylaFAX+

Originalnachricht

   openSUSE Security Update: Security update for hylafax+
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2797-2
Rating: critical
References: #1109084
Cross-References: CVE-2018-17141
Affected Products:
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for hylafax+ fixes the following issues:

Security issues fixed in 5.6.1:

- CVE-2018-17141: multiple vulnerabilities affecting fax page reception in
JPEG format Specially crafted input may have allowed remote execution of
arbitrary code (boo#1109084)

Additionally, this update also contains all upstream corrections and
bugfixes in the 5.6.1 version, including:

- fix RFC2047 encoding by notify
- add jobcontrol PageSize feature
- don't wait forever after +FRH:3
- fix faxmail transition between a message and external types
- avoid pagehandling from introducing some unnecessary EOM signals
- improve proxy connection error handling and logging
- add initial ModemGroup limits feature
- pass the user's uid onto the session log file for sent faxes
- improve job waits to minimize triggers
- add ProxyTaglineFormat and ProxyTSI features


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2018-1027=1



Package List:

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

hylafax+-5.6.1-bp150.4.3.1
hylafax+-client-5.6.1-bp150.4.3.1
hylafax+-client-debuginfo-5.6.1-bp150.4.3.1
hylafax+-debuginfo-5.6.1-bp150.4.3.1
hylafax+-debugsource-5.6.1-bp150.4.3.1
libfaxutil5_6_1-5.6.1-bp150.4.3.1
libfaxutil5_6_1-debuginfo-5.6.1-bp150.4.3.1


References:

https://www.suse.com/security/cve/CVE-2018-17141.html
https://bugzilla.suse.com/1109084

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung